Bug 1613606 (CVE-2018-10935)

Summary: CVE-2018-10935 389-ds-base: ldapsearch with server side sort allows users to cause a crash
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: mhonek, mreynolds, nkinder, rmeggins, spichugi, tbordaz, vashirov
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 389-ds-base 1.3.8.7, 389-ds-base 1.4.0.14 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-18 18:07:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1607078, 1613607, 1613608, 1614861    
Bug Blocks: 1613610    

Description Sam Fowler 2018-08-08 01:34:53 UTC
389 Directory Server has a flaw that allows users to cause a crash in the LDAP server using ldapsearch with server side sort.


Product Bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1607078

Comment 1 Sam Fowler 2018-08-08 01:35:22 UTC
Created 389-ds-base tracking bugs for this issue:

Affects: fedora-all [bug 1613607]

Comment 5 errata-xmlrpc 2018-09-25 19:05:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2757 https://access.redhat.com/errata/RHSA-2018:2757